TaskContext (Apache Hadoop MapReduce NativeTask 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapred.nativetask, class: TaskContext

Package org.apache.hadoop.mapred.nativetask

# Class TaskContext

java.lang.Object
org.apache.hadoop.mapred.nativetask.TaskContext

@Private public class TaskContext extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaskContext(org.apache.hadoop.mapred.JobConf conf, Class<?> iKClass, Class<?> iVClass, Class<?> oKClass, Class<?> oVClass, org.apache.hadoop.mapred.Task.TaskReporter reporter, org.apache.hadoop.mapred.TaskAttemptID id)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TaskContext`
  `copyOf()`
  `org.apache.hadoop.mapred.JobConf`
  `getConf()`
  `Class<?>`
  `getInputKeyClass()`
  `Class<?>`
  `getInputValueClass()`
  `Class<?>`
  `getOutputKeyClass()`
  `Class<?>`
  `getOutputValueClass()`
  `org.apache.hadoop.mapred.TaskAttemptID`
  `getTaskAttemptId()`
  `org.apache.hadoop.mapred.Task.TaskReporter`
  `getTaskReporter()`
  `void`
  `setInputKeyClass(Class<?> klass)`
  `void`
  `setInputValueClass(Class<?> klass)`
  `void`
  `setOutputKeyClass(Class<?> klass)`
  `void`
  `setOutputValueClass(Class<?> klass)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TaskContext

    public TaskContext(org.apache.hadoop.mapred.JobConf conf, Class<?> iKClass, Class<?> iVClass, Class<?> oKClass, Class<?> oVClass, org.apache.hadoop.mapred.Task.TaskReporter reporter, org.apache.hadoop.mapred.TaskAttemptID id)

- ## Method Details

  - ### getInputKeyClass

    public Class<?> getInputKeyClass()

  - ### setInputKeyClass

    public void setInputKeyClass(Class<?> klass)

  - ### getInputValueClass

    public Class<?> getInputValueClass()

  - ### setInputValueClass

    public void setInputValueClass(Class<?> klass)

  - ### getOutputKeyClass

    public Class<?> getOutputKeyClass()

  - ### setOutputKeyClass

    public void setOutputKeyClass(Class<?> klass)

  - ### getOutputValueClass

    public Class<?> getOutputValueClass()

  - ### setOutputValueClass

    public void setOutputValueClass(Class<?> klass)

  - ### getTaskReporter

    public org.apache.hadoop.mapred.Task.TaskReporter getTaskReporter()

  - ### getTaskAttemptId

    public org.apache.hadoop.mapred.TaskAttemptID getTaskAttemptId()

  - ### getConf

    public org.apache.hadoop.mapred.JobConf getConf()

  - ### copyOf

    public TaskContext copyOf()